<!DOCTYPE html>
<!--
To change this license header, choose License Headers in Project Properties.
To change this template file, choose Tools | Templates
and open the template in the editor.
-->
<html>
    <head>
        <title>DOM</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
    </head>
    <body>
        <img id='image1' class='images' src='img/img1.jpg' />
        <br>
        <img id='image2' class='images' src='img/img2.jpg' />
        <button type='button' onclick='showSrcImage1();'>
            Shows source image 1
        </button>
        <script>
            function showSrcImage1() {
                alert(document.images[0].src);
                alert(document.getElementById("image2"));
                alert(document.getElementsByClassName("images")[1]);
                alert(document.querySelectorAll("img.images")[1]);
                alert(document.getElementsByTagName("img")[1]);
                alert(document.body.childNodes[5].nodeValue);
                alert(document.getElementsById("image1")).nextSibling;
            }
        </script>
    </body>
</html>
